com.ibm.openpages.api.questionnaire

## Interface IComment

-     public interface IComment

  This is an interface to access a comment for assessment questions.
  Category:
    Questionnaire

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAcceptance()` Deprecated. This method is deprecated as of release 7.3.0.1, use method `getCommentType()` instead.
    `java.lang.String` | `getAuthor()`
    `CommentType` | `getCommentType()`
    `Id` | `getId()`
    `Id` | `getQuestionId()`
    `java.lang.Boolean` | `getRejection()` Deprecated. This method is deprecated as of release 7.3.0.1, use method `getCommentType()` instead.
    `java.lang.String` | `getText()`
    `java.util.Date` | `getTimestamp()`

- - ### Method Detail

    - #### getId

          Id getId()

      Returns:
        the Id of this comment resource

    - #### getRejection

          @Deprecated
          java.lang.Boolean getRejection()

      Deprecated. This method is deprecated as of release 7.3.0.1, use method `getCommentType()` instead.
      Returns:
        the flag indicating whether the comment is rejected

    - #### getQuestionId

          Id getQuestionId()

      Returns:
        the Id of this questionnaire resource, which this comment is associated with

    - #### getAuthor

          java.lang.String getAuthor()

      Returns:
        the author of the comment

    - #### getText

          java.lang.String getText()

      Returns:
        the comment text

    - #### getTimestamp

          java.util.Date getTimestamp()

      Returns:
        the timestamp of the comment

    - #### getAcceptance

          @Deprecated
          java.lang.Boolean getAcceptance()

      Deprecated. This method is deprecated as of release 7.3.0.1, use method `getCommentType()` instead.
      Returns:
        the flag indicating whether the comment is accepted

    - #### getCommentType

          CommentType getCommentType()

      Returns:
        the comment type

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.